package com.dd.admin.common.config;

import org.springframework.boot.web.servlet.MultipartConfigFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.util.unit.DataSize;

import javax.servlet.MultipartConfigElement;

@Configuration
public class FileUploadConfig {
    @Bean
    public MultipartConfigElement multipartConfigElement() {
        MultipartConfigFactory factory = new MultipartConfigFactory();
        // 单个数据大小
        factory.setMaxFileSize(DataSize.parse("20480KB")); // KB,MB 20480KB=20M
        // 总上传数据大小
        factory.setMaxRequestSize(DataSize.parse("102400KB")); //102400KB=100M
        return factory.createMultipartConfig();
    }
}
